* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: 'Roboto', sans-serif;  
    background-color: #f4f4f4;
}

/* Estilo da navbar */
.navbar {
    display: flex;
    justify-content: space-between;
    align-items: center; 
    background-color: white;            
    padding: 10px 30px; 
    position: fixed;
    width: 100%;
    top: 0;
    z-index: 100;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: opacity 0.3s ease, transform 0.3s ease;
    will-change: opacity, transform;
}

/* Classe para esconder a navbar parcialmente */
.hidden {
    opacity: 0.1; 
    transform: translateY(-100%);
}

.logo {
    margin-right: 25px; 
}

.logo img {
    width: 50px; 
    height: auto;
}



.social-icons {
    display: flex;
    gap: 1.2rem;
}

.social-icons a {
    text-decoration: none;
    font-size: 1.3rem;
    color: #333;
    transition: color 0.3s ease;
}

.social-icons a:hover {
    color: #297FB8;
}

.nav-links {
    list-style: none;
    display: flex;
    margin: 0;
}

.nav-links li {
    margin: 0 17px; 
}

.nav-links a {
    color: #297FB8 ; 
    text-decoration: none;
    font-size: 16px;
    padding: 8px 0;
    position: relative;
    transition: color 0.3s ease-in-out;
    font-weight: 400; 
}

.nav-links a::after {
    content: '';
    position: absolute;
    width: 0;
    height: 2px;
    left: 0;
    bottom: -4px;
    background-color: #297FB8; 
    transition: width 0.3s ease-in-out;
}

.nav-links a:hover {
    color: #297FB8; 
}

.nav-links a:hover::after {
    width: 100%; 
}


.dropdown {
    position: relative;
    display: inline-block;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #fff;
    min-width: 200px;
    box-shadow: 0 8px 16px rgba(0,0,0,0.2);
    z-index: 1;
    border-radius: 5px;
    padding: 0;
}

.dropdown-content li {
    list-style: none;
}

.dropdown-content a {
    color: #333;
    padding: 12px 16px;
    display: block;
    text-decoration: none;
}

.dropdown-content a:hover {
    background-color: #f1f1f1;
}

.dropdown:hover .dropdown-content {
    display: block;
}

@media (min-width: 768px) {
    .hamburger {
        display: none;
        color: #297FB8;
        font-size: 24px;
        cursor: pointer;
    }
}

/* Estilo para telas menores */
@media (max-width: 768px) {
    .navbar {
        padding: 10px 20px;
    }
    
    .nav-links {
        display: none;
        flex-direction: column;
        width: 100%;
        background-color: white;
        position: absolute;
        top: 60px;
        left: 0;
        padding: 10px 0;
    }

    .nav-links.active {
        display: flex;
    }

    .nav-links li {
        margin: 10px 0;
        text-align: center;
    }

    .hamburger {
        display: block;
        color: #297FB8;
        font-size: 24px;
        cursor: pointer;
    }
}

/* Estilização do botão de acesso restrito */
.restricted-access {
    padding-left: 500px; /* Empurra o botão para a direita */
}

.restricted-access a {
    text-decoration: none;
    color: #999; /* Cor menos chamativa */
    font-size: 0.9rem; /* Menor tamanho */
    border-radius: 5px;
    opacity: 0.7; /* Reduz a visibilidade */
    transition: all 0.3s;
}

.restricted-access a:hover {
    color: #333;
    border-color: #bbb;
    opacity: 1;
}